Loading...
Searching...
No Matches
osmo_prim_hdr Struct Reference
Osmocom primitives

Osmocom primitive header. More...

`#include <prim.h>`

## Data Fields

unsigned int | sap
| Service Access Point Identifier.
unsigned int | primitive
| Primitive number.
enum osmo_prim_operation | operation
struct msgb * | msg
| Primitive Operation.

## Detailed Description

Osmocom primitive header.

## Field Documentation

## msg

struct msgb* osmo_prim_hdr::msg

Primitive Operation.

Message buffers containing associated data. Note this can be slightly confusing, as the osmo_prim_hdr is stored inside a Message buffers, but then it contains a pointer back to the msgb. This is to simplify development: You can pass around a osmo_prim_hdr by itself, and any function can autonomously resolve the underlying msgb, if needed (e.g. for msgb_free.

Referenced by osmo_prim_init().

## operation

enum osmo_prim_operation osmo_prim_hdr::operation

Referenced by osmo_event_for_prim(), and osmo_prim_init().

## primitive

unsigned int osmo_prim_hdr::primitive

Primitive number.

Referenced by osmo_event_for_prim(), and osmo_prim_init().

## sap

unsigned int osmo_prim_hdr::sap

Service Access Point Identifier.

Referenced by osmo_event_for_prim(), and osmo_prim_init().

The documentation for this struct was generated from the following file:

- include/osmocom/core/prim.h